Asset Packs
Asset pack management
Returns asset packs for the user or default packs
Use "default" for default packs or user address
List of asset packs
Unauthorized - authentication required or insufficient permissions
GET /v1/assetPacks HTTP/1.1
Host: builder-api.decentraland.org
Accept: */*
{
"ok": true,
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"title": "text",
"thumbnail": "text",
"eth_address": "text",
"assets": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"asset_pack_id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"model": "text",
"script": "text",
"thumbnail": "text",
"tags": [
"text"
],
"category": "text",
"contents": {},
"metrics": {},
"parameters": [],
"actions": []
}
],
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
]
}Returns an asset pack by ID
Asset pack details
Unauthorized - authentication required or insufficient permissions
Resource not found
GET /v1/assetPacks/{id} HTTP/1.1
Host: builder-api.decentraland.org
Accept: */*
{
"ok": true,
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"title": "text",
"thumbnail": "text",
"eth_address": "text",
"assets": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"asset_pack_id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"model": "text",
"script": "text",
"thumbnail": "text",
"tags": [
"text"
],
"category": "text",
"contents": {},
"metrics": {},
"parameters": [],
"actions": []
}
],
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}Creates a new asset pack or updates an existing one
Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.
Asset pack created/updated successfully
No content
Bad request - invalid input
Unauthorized - authentication required or insufficient permissions
PUT /v1/assetPacks/{id} HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 297
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"title": "text",
"assets": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"asset_pack_id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"model": "text",
"script": "text",
"thumbnail": "text",
"tags": [
"text"
],
"category": "text",
"contents": {},
"metrics": {}
}
]
}No content
Deletes an asset pack
Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.
Asset pack deleted successfully
No content
Unauthorized - authentication required or insufficient permissions
Resource not found
DELETE /v1/assetPacks/{id} HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Accept: */*
No content
Uploads a thumbnail for an asset pack
Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.
Thumbnail uploaded successfully
No content
Unauthorized - authentication required or insufficient permissions
Resource not found
POST /v1/assetPacks/{id}/thumbnail HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Content-Type: multipart/form-data
Accept: */*
Content-Length: 22
{
"thumbnail": "binary"
}No content
Last updated